using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using StrategicCombat.CombatUnits;

namespace StrategicCombat.Teams
{
    /// <summary>
    /// This class represent a team with combat units on the right side of the board.
    /// </summary>
    public class RightTeam : Team
    {
        #region Variables

        // Nothing here yet

        #endregion

        #region Constructors

        public RightTeam(ContentManager content)
        {
            // Create the list with 12 positions.
            this.combatUnits = new List<CombatUnit>(12);

            // Create the right team (12 combat units)
            this.combatUnits.Add(new RightDoubleShooter(content, new Vector2(5, 0)));
            this.combatUnits.Add(new RightSoldier(content, new Vector2(5, 1)));
            this.combatUnits.Add(new RightSoldier(content, new Vector2(5, 2)));
            this.combatUnits.Add(new RightSoldier(content, new Vector2(5, 3)));
            this.combatUnits.Add(new RightSoldier(content, new Vector2(5, 4)));
            this.combatUnits.Add(new RightDoubleShooter(content, new Vector2(5, 5)));
            this.combatUnits.Add(new RightTank(content, new Vector2(6, 0)));
            this.combatUnits.Add(new RightPlane(content, new Vector2(6, 1)));
            this.combatUnits.Add(new RightBazooka(content, new Vector2(6, 2)));
            this.combatUnits.Add(new RightPresident(content, new Vector2(6, 3)));
            this.combatUnits.Add(new RightPlane(content, new Vector2(6, 4)));
            this.combatUnits.Add(new RightTank(content, new Vector2(6, 5)));

        }

        #endregion

    } // End of class

} // End of namespace
